#include <iostream>

using namespace std;

int main()
{
    double a,b,c,x,y,z;
    cin >> a;
    cin >> b;
    cin >> c;
    x=a;
    y=b;
    z=c;
    while (a>=10)
        a=a/10;
    while (b>=10)
        b=b/10;
    while (c>=10)
        c=c/10;
    if (a>=b && b>=c)
        cout << x << y << z;
    else if (a>=c && c>=b)
        cout << x << z << y;
    else if (b>=a && a>=c)
        cout << y << x << z;
    else if (b>=c && c>=a)
        cout << y << z << x;
    else if (c>=a && a>=b)
        cout << z << x << y;
    else cout << z << y << x;
    return 0;
}